org.apache.ignite.ml.optimization.updatecalculators

## Class RPropParameterUpdate

- java.lang.Object
- - org.apache.ignite.ml.optimization.updatecalculators.RPropParameterUpdate

- All Implemented Interfaces:
    Serializable

      public class RPropParameterUpdate
      extends Object
      implements Serializable

  Data needed for RProp updater.

  See RProp.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate>` | `AVG` Averages updates returned by different trainings.
    `protected Vector` | `deltas` Previous iteration parameters deltas.
    `protected Vector` | `prevIterationGradient` Previous iteration model partial derivatives by parameters.
    `protected Vector` | `prevIterationUpdates` Previous iteration parameters updates.
    `static IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate>` | `SUM` Sums updates returned by different trainings.
    `static IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate>` | `SUM_LOCAL` Sums updates during one training.
    `protected Vector` | `updatesMask` Updates mask (values by which updateCache is multiplied).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RPropParameterUpdate(Vector prevIterationUpdates, Vector prevIterationGradient, Vector deltas, Vector updatesMask)` Construct instance of this class by given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RPropParameterUpdate` | `setDeltas(Vector deltas)` Set previous iteration deltas.
    `RPropParameterUpdate` | `setUpdatesMask(Vector updatesMask)` Set updates mask (values by which updateCache is multiplied).
    `Vector` | `updatesMask()` Get updates mask (values by which updateCache is multiplied).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUM

          public static final IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate> SUM

      Sums updates returned by different trainings.

    - #### AVG

          public static final IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate> AVG

      Averages updates returned by different trainings.

    - #### SUM_LOCAL

          public static final IgniteFunction<List<RPropParameterUpdate>,RPropParameterUpdate> SUM_LOCAL

      Sums updates during one training.

    - #### prevIterationUpdates

          protected Vector prevIterationUpdates

      Previous iteration parameters updates. In original paper they are labeled with "delta w".

    - #### prevIterationGradient

          protected Vector prevIterationGradient

      Previous iteration model partial derivatives by parameters.

    - #### deltas

          protected Vector deltas

      Previous iteration parameters deltas. In original paper they are labeled with "delta".

    - #### updatesMask

          protected Vector updatesMask

      Updates mask (values by which updateCache is multiplied).

  - ### Constructor Detail

    - #### RPropParameterUpdate

          public RPropParameterUpdate(Vector prevIterationUpdates,
                                      Vector prevIterationGradient,
                                      Vector deltas,
                                      Vector updatesMask)

      Construct instance of this class by given parameters.
      Parameters:
        `prevIterationUpdates` - Previous iteration parameters updates.
        `prevIterationGradient` - Previous iteration model partial derivatives by parameters.
        `deltas` - Previous iteration parameters deltas.
        `updatesMask` - Updates mask.

  - ### Method Detail

    - #### updatesMask

          public Vector updatesMask()

      Get updates mask (values by which updateCache is multiplied).
      Returns:
        Updates mask (values by which updateCache is multiplied).

    - #### setUpdatesMask

          public RPropParameterUpdate setUpdatesMask(Vector updatesMask)

      Set updates mask (values by which updateCache is multiplied).
      Parameters:
        `updatesMask` - New updatesMask.
      Returns:
        This object.

    - #### setDeltas

          public RPropParameterUpdate setDeltas(Vector deltas)

      Set previous iteration deltas.
      Parameters:
        `deltas` - New deltas.
      Returns:
        This object.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022